/* Interface for ActionCell class
 *
 * Copyright (C)  1993, 1994, 1995  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 *
 * Authors: Scott Francis, Paul Kunz, Imran Qureshi, and Libing Wang
 *
 * This file is part of an Objective-C class library for a window system
 *
 * ActionCell.h,v 1.24 1995/12/13 22:32:49 fedor Exp
 */

 
#ifndef _ActionCell_h_
#define _ActionCell_h_

#include "Cell.h"

@class Control;
@interface ActionCell:Cell
{
    int             tag;	
    id              target;	
    SEL             action;	
}
- controlView;

- setFont:fontObj;
- setAlignment:(int)mode;
- setBordered:(BOOL)flag;
- setBezeled:(BOOL)flag;
- setEnabled:(BOOL)flag;
- setFloatingPointFormat:(BOOL)autoRange 
                    left:(unsigned int)leftDigits 
                   right:(unsigned int)rightDigits;
- setIcon:(const char *)iconName;

- target;
- setTarget:anObject;
- (SEL)action;
- setAction:(SEL)aSelector;
- (int)tag;
- setTag:(int)anInt;

- (const char *)stringValue;
- (int)intValue;
- (float)floatValue;
- (double)doubleValue;
- setStringValue:(const char *)aString;
- setStringValueNoCopy:(char *)aString shouldFree:(BOOL)flag;
- drawSelf:(const NXRect *)cellFrame inView:controlView;
- write:(NXTypedStream *)stream;
- read:(TypedStream *)stream;

- copyFromZone:(NSZone *)zone;
- sendAction;
- _sendActionFrom:anObject;	// an undocumented method in Cell of NS
@end

#endif
