/* Interface for NXBrowserCell class
 *
 * Copyright (C)  1993  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 *
 * Authors: Paul Kunz and Libing Wang
 *
 * This file is part of an Objective-C class library a window system
 *
 * NXBrowserCell.h,v 1.11 1995/12/13 22:33:10 fedor Exp
 */
 
#ifndef _NXBROWSER_CELL_H
#define _NXBROWSER_CELL_H

#include "Cell.h"

@interface NXBrowserCell:Cell
{
    id		browser;	/* the NXBrowser that owns the cell */
}

+ branchIcon;
+ branchIconH;

- init;
 
- initTextCell:(const char *)aString;
- free;

- (BOOL)isLeaf;
- setLeaf:(BOOL)flag;
- (BOOL)isLoaded;
- setLoaded:(BOOL)flag;

- reset;
- set;
- setImage:newImage;
- image;
- setAltImage:newAltImage;
- altImage;
- (BOOL)isOpaque;
- calcCellSize:(NXSize *)theSize inRect:(const NXRect *)aRect;
- drawInside:(const NXRect *)cellFrame inView:controlView;
- drawSelf:(const NXRect *)cellFrame inView:controlView;
- highlight:(const NXRect *)cellFrame inView:controlView lit:(BOOL)lit;

// + new;
// + newTextCell;
// + newTextCell:(const char *)aString;

/* Methods not in NeXTStep */

- copyFromZone:(NSZone *)zone;

/* Methods not implemented in NeXTSTEP */

- _managedBy:parent;
@end

#endif /* _NXBROWSER_CELL_H */
