/* Implementation of NXBrowserCell class
 *
 * Copyright (C)  1993  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 *
 * Authors: Paul Kunz and Libing Wang
 *
 * This file is part of an Objective-C class library for a window system
 *
 * NXBrowserCell.m,v 1.12 1995/12/13 22:33:10 fedor Exp
 */

#include "NXBrowserCell.h"

@implementation NXBrowserCell:Cell

+ branchIcon
{
  return [self notImplemented:_cmd];
}

+ branchIconH
{
  return [self notImplemented:_cmd];
}

- init
{
    [super init];
    instancename = "NXBrowserCell";
    return self;
}

- initTextCell:(const char *)aString;
{
  return [self notImplemented:_cmd];
}

- free
{
  return [super free];
}

- (BOOL) isLeaf
{
    return cFlags2._isLeaf;
}

- setLeaf:(BOOL) aFlag
{
    cFlags2._isLeaf = aFlag;
    return self;
}

- (BOOL) isLoaded
{
    return cFlags2._isLoaded;
}

- setLoaded:(BOOL)aFlag
{
    cFlags2._isLoaded = aFlag;
    return self;
}

- reset
{
  return [self notImplemented:_cmd];
}

- set
{
  return [self notImplemented:_cmd];
}

- setImage:newImage
{
  return [self notImplemented:_cmd];
}

- image
{
  return [self notImplemented:_cmd];
}

- setAltImage:newAltImage
{
  return [self notImplemented:_cmd];
}

- altImage
{
  return [self notImplemented:_cmd];
}

- (BOOL)isOpaque
{
  [self notImplemented:_cmd];
  return 0;
}

- calcCellSize:(NXSize *)theSize inRect:(const NXRect *)aRect
{
  return [self notImplemented:_cmd];
}

- drawInside:(const NXRect *)cellFrame inView:controlView
{
  return self;
}

- drawSelf:(const NXRect *)cellFrame inView:controlView
{
  return self;
}

- highlight:(const NXRect *)cellFrame inView:controlView lit:(BOOL)lit
{
  return self;
}

// + new;
// + newTextCell;
// + newTextCell:(const char *)aString;

/* Methods not in NeXTStep */

- copyFromZone:(NSZone *)zone
{
    NXBrowserCell	*newCell;

    newCell = [super copyFromZone:zone];
    [newCell   setLeaf:cFlags2._isLeaf];
    [newCell setLoaded:cFlags2._isLoaded];
    return newCell;
}

- _managedBy:parent
{
    return self;
}
@end
