/* NXCursor

*/
#ifndef _NX_CURSOR_H_
#define _NX_CURSOR_H_

#include <objc/Object.h>
#import "NXImage.h"

extern id NXArrow;
extern id NXIBeam;
#define	NXarrow	NXArrow
#define	NXiBeam	NXIBeam

@interface NXCursor : Object
{
    NXPoint             hotSpot;
    struct _csrFlags {
	unsigned int        onMouseExited:1;
	unsigned int        onMouseEntered:1;
	unsigned int        _RESERVED:14;
    }                   cFlags;
    id			image;
    unsigned int	_reservedInt;
}

+ pop;
+ currentCursor;

- init;
- initFromImage:newImage;

- image;
- setImage:newImage;
- setHotSpot:(const NXPoint *)spot;
- push;
- pop;
- set;
- setOnMouseExited:(BOOL)flag;
- setOnMouseEntered:(BOOL)flag;
- mouseEntered:(NXEvent *)theEvent;
- mouseExited:(NXEvent *)theEvent;
- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;

@end

#endif
