/* Interface for Slider class
 *
 * Copyright (C)  1993  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 *
 * Authors: Scott Francis, Paul Kunz, Imran Qureshi, and Libing Wang
 *
 * This file is part of an Objective-C class library for a window system
 *
 * Slider.h,v 1.17 1995/12/13 22:33:18 fedor Exp
 */

#ifndef _Slider_h_
#define _Slider_h_

#include "appkit/color.h"
#include "Control.h"

@interface Slider:Control
{
}

+ setCellClass:factoryId;

- initFrame:(const NXRect *)frameRect;

- sizeToFit;
- (double)minValue;
- setMinValue:(double)aDouble;
- (double)maxValue;
- setMaxValue:(double)aDouble;
- setTitleCell:aCell;
- titleCell;
- setTitleGray:(float)grayVal;
- (float)titleGray;
- setTitleColor:(NXColor)newColor;
- (NXColor)titleColor;
- setTitleFont:fontObj;
- titleFont;
- (const char *)title;
- setTitle:(const char *)aString;
- setTitleNoCopy:(const char *)aString;
- setKnobThickness:(NXCoord)aFloat;
- (NXCoord)knobThickness;
- setImage:backgroundImage;
- image;
- (int)isVertical;
- setEnabled:(BOOL)flag;
- mouseDown:(NXEvent *)theEvent;
- (BOOL)acceptsFirstMouse;

@end

#endif /* _Slider_h_ */
