/* Interface for TextField class
 *
 * Copyright (C)  1993  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 *
 * Authors: Scott Francis, Paul Kunz, Imran Qureshi, and Libing Wang (SLAC)
 *	    Mike L. Kienenberger (Alaska)
 *
 * This file is part of an Objective-C class library for a window system
 *
 * TextField.h,v 1.25 1995/12/13 22:33:20 fedor Exp
 */

 

#ifndef _TextField_h_
#define _TextField_h_

#include "Control.h"
#include "appkit/graphics.h"
#include "appkit/color.h"

@interface TextField:Control
{
    id    textDelegate;
}

+ setCellClass:factoryId;

- initFrame:(const NXRect *)frameRect;

- sizeTo:(float)width :(float)height;
- setBackgroundGray:(float)value;
- (float)backgroundGray;
- setTextGray:(float)value;
- (float)textGray;
- setBackgroundColor:(NXColor)color;
- (NXColor)backgroundColor;
- setBackgroundTransparent:(BOOL)flag;
- (BOOL)isBackgroundTransparent;
- setTextColor:(NXColor)color;
- (NXColor)textColor;
- drawCellInside:aCell;
- setEnabled:(BOOL)flag;
- (BOOL)isBordered;
- setBordered:(BOOL)flag;
- (BOOL)isBezeled;
- setBezeled:(BOOL)flag;
- (BOOL)isEditable;
- setEditable:(BOOL)flag;
- (BOOL)isSelectable;
- setSelectable:(BOOL)flag;
- setPreviousText:anObject;
- previousText;
- setNextText:anObject;
- nextText;
- mouseDown:(NXEvent *)theEvent;
- (SEL)errorAction;
- setErrorAction:(SEL)aSelector;
- selectText:sender;
- textDelegate;
- setTextDelegate:anObject;
- (BOOL)textWillEnd:textObject;
- textDidEnd:textObject endChar:(unsigned short)whyEnd;
- (BOOL)textWillChange:textObject;
- textDidChange:textObject;
- textDidGetKeys:textObject isEmpty:(BOOL)flag;
- (BOOL)acceptsFirstResponder;
- write:(NXTypedStream *)stream;
- read:(NXTypedStream *)stream;

- _initAsLabel;

@end

#endif /* _TextField_h_ */
