/* Interface for TextFieldCell class
 *
 * Copyright (C)  1993  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 *
 * Authors: Scott Francis, Paul Kunz, and Libing Wang
 *
 * This file is part of an Objective-C class library for a window system
 *
 * TextFieldCell.h,v 1.17 1995/12/13 22:33:22 fedor Exp
 */
 
#ifndef _TextFieldCell_h_
#define _TextFieldCell_h_

#include "appkit/color.h"
#include "ActionCell.h"

@interface TextFieldCell:ActionCell
{
    BOOL	_isLabel;	/* label or text field widget */
}

- init;
- initTextCell:(const char *)aString;

- (BOOL)isOpaque;
- (float)backgroundGray;
- setBezeled:(BOOL)flag;
- setBackgroundGray:(float)value;
- (float)textGray;
- setTextGray:(float)value;
- setBackgroundColor:(NXColor)color;
- (NXColor)backgroundColor;
- setBackgroundTransparent:(BOOL)flag;
- (BOOL)isBackgroundTransparent;
- setTextColor:(NXColor)color;
- (NXColor)textColor;
- drawSelf:(const NXRect *)cellFrame inView:controlView;
- drawInside:(const NXRect *)cellFrame inView:controlView;
- setTextAttributes:textObj;
- (BOOL)trackMouse:(NXEvent *)event inRect:(const NXRect *)aRect ofView:controlView;
- write:(NXTypedStream *)stream;
- read:(NXTypedStream *)stream;

@end

@interface TextFieldCell(WidgetSet)
- _init;
- _initAsLabel;
- (const char *)_stringValue;
- _setStringValue;
- _setAsLabel:(BOOL)aFlag;
- _selectText;
@end

#endif
