/* timer.h

   Compatability file from NeXTStep.

*/

#ifndef _timer_h_INCLUDE
#define _timer_h_INCLUDE

/*
   Information used by the system between calls to NXBeginTimer and
   NXEndTimer.  This can either be allocated on the stack frame of
   the caller, or by NXBeginTimer.  The application should not
   access any of the elements of this structure.
*/

typedef struct _NXTrackingTimer {
    double delay;
    double period;
    /* FIXME: do this
    DPSTimedEntry te;
    */
    void *te;
    BOOL freeMe;
    BOOL firstTime;
    /* FIXME: do this
    NXHandler *errorData;
    */
    void *errorData;
    int reserved1;
    int reserved2;
} NXTrackingTimer;

/* used for initial delay and periodic behavior in tracking loops */

extern NXTrackingTimer *NXBeginTimer(NXTrackingTimer *timer, 
	double delay, double period);
extern void NXEndTimer(NXTrackingTimer *timer);

#endif
