/* CGTMatrix - Object encapsulation of coordinate transforms

   Copyright (C) 1995 Free Software Foundation, Inc.

   Written by:  Adam Fedor <fedor@boulder.colorado.edu>
   Date: Nov 1995
   
   This file is part of the GNU Objective C User interface library.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
   */

#ifndef _CGTMatrix_h_INCLUDE
#define _CGTMatrix_h_INCLUDE

#include <objc/Object.h>
#include "dpsclient/cgt.h"
#include "appkit/graphics.h"

@interface CGTMatrix : Object
{
    cgt_t	cgt;
}

- translate: (NXPoint)point;
- rotate: (NXCoord)degrees;
- scale: (NXSize)scale;
- scale:(float)x :(float)y;
- concatMatrix: (cgt_t)acgt;
- invert;

- (NXPoint) offset;
- (NXSize) scale;
- (NXCoord) rotation;
- (cgt_t) currentMatrix;

- (NXPoint) transformPoint: (NXPoint)aPoint;
- (NXRect) transformRect: (NXRect)aRect;

@end

#endif /* __CGTMatrix_h_ */
