/* dpsfriends - definitions for GNU implementation of DPS

   Copyright (C) 1995 Free Software Foundation, Inc.

   Written by:  Adam Fedor <fedor@boulder.colorado.edu>
   Date: Nov 1995
   
   This file is part of the GNU Objective C User interface library.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
   */

#ifndef _dpsfriends_h_INCLUDE
#define _dpsfriends_h_INCLUDE

typedef enum {
  dps_ascii, dps_binObjSeq, dps_encodedTokens
  } DPSProgramEncoding;
  /* Defines the 3 possible encodings of PostScript language programs. */
     
typedef enum {
  dps_indexed, dps_strings
  } DPSNameEncoding;
  /* Defines the 2 possible encodings for user names in the
     dps_binObjSeq and dps_encodedTokens forms of PostScript language
     programs. */     
  
typedef enum {
  dps_xtServer,		/* interface to Xlib/Xt library and X11 server  */
  dps_stream		/* an ascii NXStream */
  } DPSContextType;

typedef struct _DPSContextRec_ {
  void *priv;
  DPSProgramEncoding programEncoding;
  DPSNameEncoding nameEncoding;
  void (*textProc)();
  void (*errorProc)();
  struct _DPSContextRec_ *chainParent, *chainChild;
  DPSContextType type;
  } DPSContextRec, *DPSContext;

#define DPSPrivCurrentContext() (DPSGetCurrentContext())
    
extern void DPSSetContext( DPSContext ctxt );
extern DPSContext DPSGetCurrentContext(void);

#endif
