/* xttools - Color conversion routines and other low-level X support

   Copyright (C) 1995 Free Software Foundation, Inc.

   Written by:  Adam Fedor <fedor@boulder.colorado.edu>
   Date: Nov 1994
   
   This file is part of the GNU Objective C User Interface Library.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
   */

#ifndef _xttools_h_INCLUDE
#define _xttools_h_INCLUDE

#include "dpsclient/xwfriends.h"

/* Maintaining and using colormaps */
extern XStandardColormap *xtDefaultColormap(XWContext context);

/* Internal conversion of colors to pixels values */
extern u_long	xtGrayToPixel(XWContext context, float gray);
extern u_long	xtRGBToPixel(XWContext context, float red, 
			float green, float blue);
extern u_long	xtHSBToPixel(XWContext context, float h, float s, float b);
extern u_long	xtCMYKToPixel(XWContext context, float c, float m, 
			float y, float k); 
extern u_long	xtColorToPixel(XWContext context, device_color_t color);

extern device_color_t xtConvertToGray(device_color_t color);
extern device_color_t xtConvertToRGB(device_color_t color);
extern device_color_t xtConvertToHSB(device_color_t color);
extern device_color_t xtConvertToCMYK(device_color_t color);


/* Internal conversion of image data to pixel values */
extern u_char	*xtMapColors(XWContext context, u_char **src, int colorspace,
	int bps, int spp, int ncolors, int planar, u_char *dest);

#endif
