/* Zone memory functions
 *
 * Copyright (C)  1994  Regents of the University of California.
 *  All Rights Reserved.
 *
 * Author: Mark Lakata
 *
 * This file is part of an Objective-C class library
 * It is a compatibility header, which sets up links to the
 * foundation/zone.  It basically just subtitutes NS for NX,
 * e.g. NXZone -> NSZone
 *
 * zone.h,v 1.7 1995/07/25 23:20:54 pfkeb Exp
 */

/* see zone.c for additional information. */

#ifndef h_zone_compat_h
#define h_zone_compat_h

#ifdef __NeXT__

#include <objc/zone.h>

#else

#include <Foundation/NSZone.h>

#define NX_NOZONE           NS_NOZONE
#define NXDefaultMallocZone NSDefaultMallocZone
#define NXCreateZone        NSCreateZone
#define NXCreateChildZone   NSCreateChildZone
#define NXDestroyZone       NSDestroyZone
#define NXMergeZone         NSMergeZone
#define NXZoneMalloc        NSZoneMalloc
#define NXZoneRealloc       NSZoneRealloc
#define NXZoneFree          NSZoneFree
#define NXZoneCalloc        NSZoneCalloc
#define NXZoneFromPtr       NSZoneFromPtr
#define NXZonePtrInfo       NSZonePtrInfo
#define NXMallocCheck       NSMallocCheck
#define NXNameZone          NSNameZone
#define NXZone              NSZone

#endif

#endif
